%define module_name ovlfs
%define module_version 2.0.1
%define module_release alt4
%define module_subversion 1

#### MODULE SOURCES ####
Name:          kernel-source-%{module_name}
#BuildArch:     noarch
Version:       %{module_version}
Release: %{module_release}.1
Summary:       Linux %{module_name} (overlay copy-on-write fs) modules sources
License:       GPL
Group:         Development/Kernel
URL:	       http://sourceforge.net/projects/ovlfs
Source0:       http://heanet.dl.sourceforge.net/sourceforge/ovlfs/%{module_name}-%{version}.tgz
Source1:       empty-Makefile

# Automatically added by buildreq on Mon Jul 12 2004
BuildRequires: flex gcc-c++ libstdc++-devel

%description
%{module_name} (overlay fs for copy-on-write with readonly media) modules sources for Linux kernel

%package -n %module_name-utils
Summary:	Tools for handling with ovlfs
Group:		System/Base
##Requires:	kernel-modules-%{module_name}

%description -n %module_name-utils
Utilities for working with ovlfs.

%prep
%setup -q -n %{module_name}-%version
#%patch0 -p1
#%patch1 -p1

%build
%__cp -af %{SOURCE1} tools/Makefile
%__mkdir %name
%__cp -af doc/ file_io/ fs/ include/ lists/ Makefile Rules.mk Suffix.mk %name/
%__tar cvfj %name.tar.bz2 %name
%make doc
%make mount
%make third_party

%install
%__mkdir -p %{buildroot}%{_usrsrc}/kernel/sources/
%__mkdir -p %{buildroot}%_sbindir
%__mkdir -p %{buildroot}%_datadir/doc/%{module_name}
%__mkdir -p %{buildroot}%{_man5dir}
%__mkdir -p %{buildroot}%{_man8dir}

%__cp -af %name.tar.bz2 %{buildroot}%{_usrsrc}/kernel/sources/%name.tar.bz2
%__install -m 644 doc/*.8 %{buildroot}%{_man8dir}
%__install -m 644 doc/*.5 %{buildroot}%{_man5dir}
%__install -m 755 third_party/cdinfo %{buildroot}%_sbindir
%__install -m 755 mount/ovlmount %{buildroot}%_sbindir

%files
%{_usrsrc}/kernel/sources/%name.tar.bz2

%files -n %module_name-utils
%doc doc/Author doc/Description doc/Options doc/Readme doc/Troubleshooting
%_man5dir/*
%_man8dir/*
%_sbindir/*

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.0.1-alt4.1
- Rebuilt with libstdc++.so.6.

* Tue Jul 13 2004 Nick S. Grechukh <gns@altlinux.ru> 2.0.1-alt4
- removed require modules in ovlfs-utils

* Mon Jul 12 2004 Nick S. Grechukh <gns@altlinux.ru> 2.0.1-alt3
- Initial release. Very thanks to Yuri N. Glibovetz for help on building. Spec based on kernel-source-cloop, so also thanks to rider@.
